Oracle Linux 7 : glibc (ELSA-2014-2023)

medium Nessus Plugin ID 80114
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2014:2023:

現已提供適用於 Red Hat Enterprise Linux 7 的更新版 glibc 套件,可修正一個安全性問題和一個錯誤。

Red Hat 產品安全性團隊已將此更新評等為具有中等安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

glibc 套件會提供系統上多個程式所使用的標準 C 程式庫 (libc)、POSIX 執行緒程式庫 (libpthread)、標準數學程式庫 (libm),以及名稱伺服器快取程序 (nscd)。如果沒有這些程式庫,Linux 系統就無法正常運作。

據發現,即使已指定 WRDE_NOCMD 旗標,wordexp() 函式還是會執行命令替換。若攻擊者可提供特製輸入給使用 wordexp() 函式的應用程式,且未正確清理輸入內容,就可能利用此瑕疵,以執行該應用程式之使用者的認證,執行任意命令。(CVE-2014-7817)

此問題是由 Red Hat 開發人員體驗團隊的 Tim Waugh 所發現。

此更新也可修正下列錯誤:

* 在此更新之前,如果是以附加模式開啟檔案資料流,同時使用其基礎檔案描述符號,且該檔案以 ftruncate() 函式在檔案描述符號的地方截斷,則資料流上的 subsequent ftell() 呼叫就會尋找檔案的新結尾,從而不正確修改檔案位移。此更新確保 ftell() 只在檔案資料流處於附加模式,且其緩衝區並非空白時,才會修改檔案資料流的狀態。如此一來,就不會再發生上述不正確的檔案位移變更。
(BZ#1170187)

建議所有 glibc 使用者皆升級至這些更新版套件,其中包含可更正這些問題的反向移植修補程式。

解決方案

更新受影響的 glibc 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2014-December/004751.html

Plugin 詳細資訊

嚴重性: Medium

ID: 80114

檔案名稱: oraclelinux_ELSA-2014-2023.nasl

版本: 1.15

類型: local

代理程式: unix

已發布: 2014/12/19

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.8

CVSS v2

風險因素: Medium

基本分數: 4.6

時間分數: 3.4

媒介: AV:L/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:glibc, p-cpe:/a:oracle:linux:glibc-common, p-cpe:/a:oracle:linux:glibc-devel, p-cpe:/a:oracle:linux:glibc-headers, p-cpe:/a:oracle:linux:glibc-static, p-cpe:/a:oracle:linux:glibc-utils, p-cpe:/a:oracle:linux:nscd, cpe:/o:oracle:linux:7

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2014/12/18

弱點發布日期: 2014/11/24

參考資訊

CVE: CVE-2014-7817

BID: 68505, 68983, 71216

RHSA: 2014:2023